<?php

declare(strict_types=1);

namespace Dedi\SyliusImportExportPlugin\Formater;

use Doctrine\Common\Collections\Collection;
use Symfony\Component\HttpFoundation\Response;

interface FormaterInterface
{
    public function format(Collection $data): string;

    public function output(string $data, string $filename): Response;

    public function getType(): string;
}
